Widget analytics
Daily views per widget
Endpoints
The widget analytic object
Attributes
organization_iduuidIdentifier of the organization the widget is defined in
widget_iduuidIdentifier of the viewed widget
datedateDate of the views
viewsintegerNumber of views on the date
The widget analytic object
JSON
{
"organization_id": "00000000-0000-0000-0000-000000000000",
"widget_id": "00000000-0000-0000-0000-000000000000",
"date": "2026-10-30",
"views": 1
}List widget analytics
Filters
organization_idFilter<uuid>Identifier of the organization the widget is defined in
widget_idFilter<uuid>Identifier of the viewed widget
dateFilter<date>Date of the views
viewsFilter<integer>Number of views on the date
Responses
200A list of widget analytics with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
Error responses have a JSON body with a
code, message, details and hint. See the introduction for more on errors.GET /widget_analyticscurl -X GET "https://api.bookingmood.com/v1/widget_analytics?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"Example response
JSON
[
{
"organization_id": "00000000-0000-0000-0000-000000000000",
"widget_id": "00000000-0000-0000-0000-000000000000",
"date": "2026-10-30",
"views": 1
}
]